version: '3'
services:

  php-service:
    build:
      context: .
      dockerfile: ./docker/Dockerfile
    ports:
      - "9001:9000"
    restart: always
    tty: true
    working_dir: /var/www/app
    networks:
        - duk-network

    #Nginx Service
  deeocean-php-service-nginx:
      image: nginx:alpine
      restart: always
      tty: true
      ports:
          - "80:80"
      volumes:
          - ./:/var/www/app
          - ./docker/nginx.conf:/etc/nginx/nginx.conf
      networks:
          - duk-network

#Docker Networks
networks:
    duk-network:
        driver: bridge
        external: true
